Subject: [alsa-devel] [PATCH 2/4] ASoC: s3c64xx/smartq: use dynamic registration

From: [email-masked] (Lars-Peter Clausen)
Date: Sat, 12 Jul 2014 17:27:59 +0200

On 07/11/2014 03:45 PM, Arnd Bergmann wrote:
> As a prerequisite for moving s3c64xx into multiplatform configurations,
> we need to change the smartq audio driver to stop using hardcoded
> gpio numbers from the header file, and instead pass the gpio data
> through platform_data.

This should be using the gpiod API. The gpiod API allows you to pass the GPIOs 
without having to add a platform_data struct.

- Lars